#include "mpi.h"
#include <stdio.h>
#include <string.h>

#define MAX1 100000
#define MAX 100

void main(int argc, char *argv[])
{
	int Pid, tag=0;
    int numprocs;

	int i, j, d;
	char msg[22];

	MPI_Status status;
	
    MPI_Init(&argc,&argv);

	   // Anzahl der Prozesse
    MPI_Comm_size(MPI_COMM_WORLD,&numprocs);
    
	   // meine eigene ID
	MPI_Comm_rank(MPI_COMM_WORLD,&Pid);
    
	for (i=0; i<MAX; i++) {
		for (j=0; j<MAX; j++) {
			d=i+j;
		}
	}
	
	if (Pid  ==  0) {
		strcpy(msg, "Gruesss Gott");
		MPI_Send( msg, strlen(msg)+1, MPI_CHAR, 1, tag, MPI_COMM_WORLD);
	}
	if (Pid  ==  1) {
		MPI_Recv( msg, 20, MPI_CHAR, 0, tag, MPI_COMM_WORLD, &status);
        fprintf(stderr,"Nachricht: %s\n",  msg);

	}
	fflush(stderr);

    MPI_Finalize();
}


